<?php

namespace App\Http\Controllers;

use App\Client;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    public function index()
    {
        $users = Client::all();
        return view('pages.daftarUser')->with('users', $users);
    }

    public function create()
    {
        return view('pages.create_user');
    }
    public function store(Request $request)
    {

        try
        {
            Client::create($request->all());
            return redirect('/');
        }
        catch (QueryException $a)
        {
            return view('pages.errorInput');
        }
    }

    public function edit($id)
    {
        $user = Client::find($id);
        return view('pages.edit_user')->with('user', $user);
    }

    public function update(Request $request, $id)
    {
        Client::find($id)->update($request->all());
        return redirect('user');
    }

    public function destroy($id)
    {
        Client::find($id)->delete();
        return redirect('user');
    }
}
